### Function

# Pango.AttrType.register

#### Declaration [src]

    PangoAttrType
    pango_attr_type_register (
      const gchar* name
    )

#### Description [src]

Allocate a new attribute type ID.

The attribute type name can be accessed later by using [type_func@Pango.AttrType.get_name].

#### Parameters

`name` | `const gchar*`
| an identifier for the type
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `PangoAttrType`
the new type ID.